<?php

include("../code/includes.php");

$username = $_REQUEST['username'];

$display_user = new User();
$display_user->populateFromAttribute($username, "username");

?>

<html>
<head>
	<title>ACH: Help</title>
	<?php include("../parts/includes.php"); ?>
	<script language="JavaScript" type="text/javascript">

function changeFontSize(inc)

{

  var p = document.getElementsByTagName('p');

  for(n=0; n<p.length; n++) {

    if(p[n].style.fontSize) {

       var size = parseInt(p[n].style.fontSize.replace("px", ""));

    } else {

       var size = 14;

    }

    p[n].style.fontSize = size+inc + 'px';

   }

}

</script>
</head>

<?php include("../parts/header.php"); ?>







<?php
	
if( $active_user->logged_in ) { ?>
	


<?php include("../parts/menu_sidebar.php"); ?>

<?php } else { ?>



<?php include("../parts/login_sidebar.php"); ?>





</div>

<?php } ?>



<div class="mainContainer">

<div class="ydsf left"><div class="inner">



<div class="help">

<div class="fontSize"><a href="javascript:changeFontSize(1)" style:font-size="14px">Enlarge font</a><br /><a href="javascript:changeFontSize(-1)" style:font-size="8px">Shrink font</a></p></div>

<h2>ACH Is a 9-Step Process</h2> 

<p>The full ACH process follows these nine steps:</p>

<h2>1. Define the question</h2> 

<p>Make sure that everyone involved in the process has a solid understanding of the specific question to be answered.</p> 

<h2>2. Identify all possible hypotheses</h2> 

<p>Hypotheses should be mutually exclusive; that is, if any one hypothesis is true, all others must be false. Use a group of analysts  with different perspectives to brainstorm all possible hypotheses. Include the deception hypothesis when appropriate to ensure that you  have exhausted all the possibilities. Read our article on <a href="../help/hypotheses.php">hypotheses</a> to learn more about doing this correctly.</p>  

<h2>3. Make a list of evidence and arguments for and against the hypotheses</h2> 

<p>Remember to include assumptions, logical deductions, and conclusions from other analyses--anything that affects your judgment about the  likelihood of any hypothesis. Also include the absence of evidence one would expect to find if a hypothesis were true. We have a dedicated article on  <a href="../help/evidence.php">evidence</a> as well.</p> 

<h2>4. Prepare a matrix with the hypotheses across the top and the evidence/arguments down the side</h2> 

<p>Work horizontally across the matrix to <a href="../help/rate_consistency.php">rate each data item's consistency or inconsistency with each hypothesis</a>. There is an option to  also assess the Credibility of each item of evidence to determine how much weight it should have in the analysis. Check the diagnosticity  of the evidence. An item of evidence is diagnostic if it helps you determine that an item of evidence or argument shows that one or more  hypotheses may be less likely than the others. </p> 

<p>When you're done, you should have something like this:</p> <img src="../help/images/samplematrix.png"> <p>In this example, Hypothesis 1 is looking pretty unlikely. (But remember, that doesn't necessarily mean that Hypothesis 2 is correct. Our goal  is to <a href="../help/ach.php#refuting">refute hypotheses</a>, not prove them.)</p> 

<h2>5. Reconsider the hypotheses</h2> 

<p>Have you learned anything that might suggest they should be modified? Check the consistency of your evidence ratings. Discard evidence that  has no diagnostic value because it is consistent with all the hypotheses. Identify any gaps in the evidence and arguments that may need to be  filled. Delete any evidence that has no diagnostic value because it is consistent with all the hypotheses.</p> 

<h2>6. Check the Inconsistency or Weighted Inconsistency Score and draw tentative conclusions about the relative likelihood of each hypothesis</h2> 

<p>The most likely hypothesis is the one with the lowest score. Sort the evidence and arguments by diagnosticity to identify those few items  that are most influential in driving your conclusions. Consider the consequences for your analysis if any key item of evidence or argument is  wrong, misleading, or subject to a different interpretation? Sort the evidence by type of source and be alert to any indication of possible deception. </p> 

<h2>7. Compare your personal conclusions about the relative likelihood of the hypotheses with the Inconsistency Score or the Weighted Inconsistency  Scores generated by the software</h2> 

<p>If they differ, figure out why and make appropriate adjustments. See guidance in the sections on Interpreting the Inconsistency Scores. Solicit  critical input from other analysts. Draw your final conclusions.</p> 

<h2>8. Report conclusions, discussing the relative likelihood of all the hypotheses, not just the most likely one</h2> 

<p>Include discussion of the diagnostic evidence or arguments that enabled you to reject or discount the alternative hypotheses. </p> 

<h2>9. Identify indicators or milestones for future observation to monitor whether one or more hypotheses might be changing.</h2> 

<p>That's it.</p> 

<p>This process can be done on your own or with a group. If you want to do ACH with multiple analysts, the next article will give you some guidance on <a href="../help/collaboration_steps.php">modifying this 9-step process for collaborative, multi-analyst projects.</a></p> <p>Otherwise, skip ahead to learn about <a href="../help/hypotheses.php">hypotheses</a>.</p>
</div>










</div></div>

</div>







</div>

</div></div>

</div>







<?php include("../parts/footer.php"); ?>





</body>
</html>